<?
ob_start("ob_gzhandler");
include("./includes/config.php");
 if(isset($_GET[val])) {
 $favid = $_GET[val];
 $numeric = is_numeric($favid);
 if(($numeric)!=('1')){
 $message ="عفوا هناك مشكلة";
 }else{

$username = $_COOKIE[traidusername];
$password = $_COOKIE[traiduserpassword];
$userid = $_COOKIE[traiduserid];

if(!isset($_COOKIE[traidusername])  ){
$message = "<b>من فضلك قم بتسجيل الدخول أولا</b>";
}else{
$getuser = mysql_db_query("$dbName", "SELECT * FROM  `users` WHERE `user_name` = '$username' and `user_password` = '$password' and `user_id` = '$userid' ;") ;
$find = mysql_affected_rows();
if(($find)==('0')){

$message = "عفوا قم باعاده تسجيل الدخول";
@setcookie('traidusername',$username,time()-36000);
}else{
$cheack = mysql_db_query("$dbName", "SELECT * FROM  `favorite` WHERE `user_id` = '$userid' and `fav_id` = '$favid' ;") ;
$findd = mysql_affected_rows();
if ($findd == 0){
$message = "<b>عفوا القصيدة غير متوفرة بمفضلتكلة</b>";
}else{
$delfavv =  mysql_db_query("$dbName", "DELETE  FROM  `favorite` WHERE `user_id` = '$userid' and `fav_id` = '$favid' ;") ;
if($delfavv){
$message = "<b>تم حذف القصيدة من المفضلة</b>";

}else{
$message = "<b>عفو هناك مشكلة بحذف القصيدة</b>";
}


}

}

}
}
}
echo iconv('windows-1256','utf-8',$message);
ob_end_flush();

?>